---
api: 'Business API'
---

# Retrieve label group details

Get the details of a specific label group based on the label group ID.

The details include the label group name, as well as when the label group was added to your settings, and when it was last updated.

For more details, see the guides: [Manage accounting settings](/docs/guides/manage-accounts/accounting/manage-accounting-settings) and [Manage labels and label groups](/docs/guides/manage-accounts/accounting/manage-labels-and-label-groups).

## Endpoint

GET `/label-groups/{group_id}`

## Parameters

### path parameters

- `group_id` (string, required)
  The ID of the label group to retrieve.

## Returns

### 200

Label group details

#### Response attributes

- `id` (string)
    The unique ID of the label group.
- `name` (string)
    The name of the label group.
- `created_at` (string)
    The date and time the label group was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `updated_at` (string)
    The date and time the label group was last updated in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request  Returned, for example, when a required parameter is missing or malformatted. |
| 401 | Unauthorized – authentication credentials are missing or invalid  Returned when the request was not fulfilled because authentication has failed or has not been provided. |
| 403 | Action forbidden - insufficient permissions to perform this action  Returned, for example, when you don't have permissions necessary to perform this action. |
| 404 | Not found  Returned when the label group that you're trying to retrieve cannot be found. This can happen, for example, when the label group has been deleted, or the provided label group ID is incorrect. |
| 429 | Too many requests  Returned, for example, when the rate limit has been exceeded. If the response includes the `Retry-After` instruction, please respect it and refrain from earlier retry attempts. |
| 500 | Internal server error  An unexpected application error occurred. |
| 503 | Service Unavailable  The system is temporarily unavailable. If the response includes the `Retry-After` header instruction, please respect it and refrain from earlier retry attempts. |
